Summary:	Interactive eye-candy themes on your KDE desktop
Name:		superkaramba
Version:	0.32b
Release:	alt1
License:	GPL
Url:		http://netdragon.sourceforge.net
Group:		Graphical desktop/KDE 
Source0:	%name-%version.tar.bz2
Patch0:		%name-startdir.patch.bz2
Patch1:		%name-startdir2.patch.bz2

Requires:	kdelibs python

# Automatically added by buildreq on Sat Oct 18 2003
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ kdelibs-devel libdb2-devel libexpat libjpeg-devel liblcms libmng libpng-devel libqt3-devel libstdc++-devel libxml2 libxslt python-devel xml-utils zlib-devel libart_lgpl-devel

%description
SuperKaramba is, in simple terms, a tool that allows you to easily
create interactive eye-candy on your KDE desktop. Theme writers create
themes, or text files that define their widget. Then, they can
optionally add python scripting to make their widget interactive. The
possibilities are endless!

Here are just some examples of the things that can be done:

* Display system information such as CPU Usage, MP3 playing, etc.
* Create cool custom toolbars that work any way imaginable
* Create little games or virtual pets that live on your desktop
* Display information from the internet, such as weather and headlines

%description -l ru_RU.KOI8-R

SuperKaramba -  ,    
 -   KDE.    
 -  ,   .   
    Python',  ,  
  .  !

    ,   :

*   , ,    
    MP3;
*     ,  
  ;
*       , 
     ;
*    , ,    
  

# %package examples
# Summary:	Several SuperKaramba example themes
# Group:		Graphical desktop/KDE 

# %description examples
# This package contains several themes for SuperKaramba, provided as
# examples of what can be done. They're not very useful and should be
# used mostly by developers for reference. Look for the other
# SuperKaramba themes if you want something more functional.

# %description examples -l ru_RU.KOI8-R
#    -    SuperKaramba   
# ,   .         
#      .    
#   -     SuperKaramba.

%prep
%setup -q
#pushd src
#%patch0 -b .mdk
#popd
%patch1 -p1

%build
%configure \
	--disable-rpath \
	--enable-final
%make

%install
%makeinstall

install -d -m 755 %buildroot/%_menudir
install -d -m 755 %buildroot/{%_miconsdir,%_liconsdir}
mv %buildroot/%_datadir/applnk/Utilities/karamba.desktop %buildroot/%_datadir/applnk/Utilities/%name.desktop

kdedesktop2mdkmenu.pl %name Applications/Monitoring %buildroot/%_datadir/applnk/Utilities/%name.desktop %buildroot/%_menudir/%name kde
install -m 644 src/lo16-app-karamba.png %buildroot%_miconsdir/%name.png
install -m 644 src/lo32-app-karamba.png %buildroot%_iconsdir/%name.png
install -m 644 src/lo32-app-karamba.png %buildroot%_liconsdir/%name.png
install -d -m 755 %buildroot/%_datadir/apps/%name/themes/
install -d -m 755 %buildroot/%_datadir/apps/%name/themes/pics/

cp -a examples/{taskBar/cleanbar,popupMenu,autoHide,richtext,unicode,globalMouse} %buildroot/%_datadir/apps/%name/themes/

#remove some files we don't want:
find %buildroot -type d -name '.xvpics'|xargs rm -Rf

rm -Rf %buildroot/%_datadir/apps/%name/themes/pics

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING examples/api.html examples/template.py
%_bindir/*
%_datadir/apps/%name
%_datadir/applnk/Utilities/%name.desktop
%_docdir/HTML/*/karamba/*
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png
%_menudir/%name
%attr(755,root,root) %config(noreplace)

# %files examples
# %_datadir/apps/%name/themes/*

%changelog
* Sat Oct 18 2003 Mikhail Yakshin <greycat@altlinux.ru> 0.32b-alt1
- Initial build for ALT Linux, adapted from Mandrake spec by Buchan
  Milne
- Spec cleanup, heavily edited
- Dropped lots of features, will bring them back as separate packages

* Fri Sep 19 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.32b-2mdk
- Fixed default theme, mandrakesecure theme background, include tmon

* Sat Sep 13 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.32b-1mdk
- 0.32b (compiles with python-2.3)
- New default theme (with mandrakesecure theme and two examples)
- Put menus back
- Add scripts in profile.d to ensure path is set for restored session
- When opening a new theme, start in system theme directory (p1)

* Wed Aug 27 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.31-1mdk
- Superkaramba 0.31

* Sun Aug 24 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.22-1mdk
- 0.22
- hackish patch to make it build (P1), may break track names on oggs
- set theme path and default theme by karambarc file (copied by script)

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.17-4mdk
- Rebuild

* Sun May 11 2003 Laurent Culioli <laurent@pschit.net> 0.17-3mdk
- buildrequires

* Thu Apr 17 2003 Laurent Culioli <laurent@pschit.net> 0.17-2mdk
- Buildrequires

* Wed Apr 16 2003 Laurent Culioli <laurent@pschit.net> 0.17-1mdk
- 0.17

* Thu Apr 10 2003 Laurent Culioli <laurent@pschit.net> 0.15-1mdk
- 0.15

* Thu Apr 03 2003 Laurent Culioli <laurent@pschit.net> 0.12-2mdk
- fix wrapper

* Thu Apr 03 2003 Laurent Culioli <laurent@pschit.net> 0.12-1mdk
- initial package
- add wrapper to setup scripts
- patch0 : add startdir
- noatun.theme contributed by Shift \o/
